#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sysstat
Version		:	12.5.6
Release		:	14.4.0.0%{?dist}
Summary		:	Collection of performance monitoring tools for Linux

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/sysstat/sysstat

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gettext
BuildRequires	:	lm-sensors

Requires	:	findutils
Requires	:	xz
#-----------------------------------------------------------------------------
%description
The sysstat package contains the sar, sadf, mpstat, iostat, tapestat,
pidstat, cifsiostat and sa tools for Linux.
The sar command collects and reports system activity information.
The information collected by sar can be saved in a file in a binary
format for future inspection. The statistics reported by sar concern
I/O transfer rates, paging activity, process-related activities,
interrupts, network activity, memory and swap space utilization, CPU
utilization, kernel activities and TTY statistics, among others. Both
UP and SMP machines are fully supported.
The sadf command may  be used to display data collected by sar in
various formats (CSV, XML, etc.).
The iostat command reports CPU utilization and I/O statistics for disks.
The tapestat command reports statistics for tapes connected to the system.
The mpstat command reports global and per-processor statistics.
The pidstat command reports statistics for Linux tasks (processes).
The cifsiostat command reports I/O statistics for CIFS file systems.

#-----------------------------------------------------------------------------
%files			 -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES COPYING CREDITS FAQ.md README.md %{name}-%{version}.lsm
%attr(0750,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/cron.d/%{name}.cron
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/profile.d/*sh
%{_bindir}/*stat
%{_bindir}/sadf
%{_bindir}/sar
%{_libdir}/sa
%{_localstatedir}/log/sa
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/sysstat.5.gz
%{_mandir}/man8/*.8.gz

%preun
if [ "$1" = 0 ]; then
  /sbin/chkconfig --del %{name}
  fi

%post
/sbin/chkconfig --add %{name}

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

sa_dir=/var/log/sa					\
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-install-cron				\
	--enable-copy-only				\
	--disable-file-attr				\
	--disable-stripping				\
	sadc_options='-S DISK'				\
	history=28					\
	compressafter=31				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}

# Colored sysstat output
%{__mkdir_p} -p %{buildroot}%{_sysconfdir}/profile.d
install -p -m 644 					\
	%{name}-ok_addon/*sh				\
	%{buildroot}%{_sysconfdir}/profile.d

%{__mv}							\
	%{buildroot}%{_sysconfdir}/cron.d/%{name}	\
	%{buildroot}%{_sysconfdir}/cron.d/%{name}.cron

#installing init script
install -p -m 644 					\
	%{name}-ok_addon/%{name}.initd			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
#-----------------------------------------------------------------------------
%changelog
